#ifndef MOVEMENTS_H
#define MOVEMENTS_H
#include <types.h>
#include <memory>
namespace sudoku {


class Movements
{
public:
    Movements(const Matrix& mat);

    VctMoves vct() const;

OptMoves pop_back();
private:
    Matrix mat_;
    VctMoves vct_;
};

using MovementsPtr= std::unique_ptr<Movements>;

}
#endif // MOVEMENTS_H
