#include "easyddssub.h"
#include "profiles.h"
#include "topicnames.h"

using namespace easydds;
EasyDDSSub::EasyDDSSub()
{
    cfg_=std::make_unique<config>("/usr/local/pkg/rti_connext_dds-5.2.0/resource/xml/NDDS_QOS_PROFILES.example.xml","UserQosProfilesLibrary::User.Generic.Common",0);
    dc_=std::make_unique<DomainContext>(cfg_);

    list_ = std::make_unique<MyListener_BE>(dc_,TopicNames::topic1);

    list_->addSlot([](const MyOtherType & sample)
    {
        auto f = fopen("a.txt","a");
        fprintf(f,"count = %d\n",sample.m1());
        fclose(f);
    });

    list2_= std::make_unique<MyListener_SR>(dc_,TopicNames::topic2);
}
