#ifndef LISTENERMYOTHERTYPE_H
#define LISTENERMYOTHERTYPE_H
#include "ProxyReader.h"
#include "Foo.hpp"
#include "domaincontext.h"
#include "ConfigValues.h"

#include "ListenerWithProfile.h"
class MyListener_BE:public easydds::ListenerBestEffort<MyOtherType>
{
public:
    MyListener_BE(const easydds::DomainContextPtr &domain_ctx,const std::string &strTopic );

    virtual void onSlotAvailableData(const MyOtherType &sample) override;
};

using ListenerMyOtherTypePtr = std::unique_ptr<MyListener_BE>;


class MyListener_SR:public easydds::ListenerStrictReliable<MyOtherType>
{
public:
    MyListener_SR(const easydds::DomainContextPtr &domain_ctx,const std::string &strTopic );

    virtual void onSlotAvailableData(const MyOtherType &sample) override;
};

using ListenerMyOtherTypePtr2 = std::unique_ptr<MyListener_SR>;

#endif // LISTENERMYOTHERTYPE_H
