ROOT_DIRECTORY   = $$PWD
TARGET_DIRECTORY = $$PWD/labor
BOOST_HOME = /usr/local/projects/gema4_dds/pkg/boost
OBJECTS_DIR   = .obj


CONFIG += depend_includepath
#INCLUDEPATH += $(NDDSHOME)/include \
#               $(NDDSHOME)/include/ndds \
#               $(NDDSHOME)/include/ndds/hpp

INCLUDEPATH += $$ROOT_DIRECTORY/lib/easydds

DEFINES += RTI_UNIX RTI_LINUX RTI_64BIT   BOOST_ALL_DYN_LINK

QMAKE_CXXFLAGS  +=  -std=c++1y
QMAKE_CXXFLAGS  +=  -fPIC

QMAKE_LIBDIR += $(NDDSHOME)/lib/x64Linux2.6gcc4.4.5


QMAKE_CXXFLAGS += -isystem  $$BOOST_HOME/include

QMAKE_CXXFLAGS += -isystem  $(NDDSHOME)/include
QMAKE_CXXFLAGS += -isystem  $(NDDSHOME)/include/ndds
QMAKE_CXXFLAGS += -isystem  $(NDDSHOME)/include/ndds/hpp

QMAKE_LIBDIR += $$TARGET_DIRECTORY/lib



   debug {
    LIBS += -lnddscppd \
            -lnddscpp2d \
            -lnddscored \
            -lnddscd  \
            -lrtidlcppd \
            -lrtidlcd \
            -ldl

    }

    release {
    LIBS += -lnddscpp \
            -lnddscpp2 \
            -lnddscore \
            -lnddsc  \
            -lrtidlcpp \
            -lrtidlc \
            -ldl

    }


LIBS += -leasydds
QMAKE_LFLAGS += -Wl,-rpath,$(NDDSHOME)/lib/x64Linux2.6gcc4.4.5 -Wl,-rpath-link,$(NDDSHOME)/lib/x64Linux2.6gcc4.4.5
QMAKE_LFLAGS += -Wl,-rpath-link,$$TARGET_DIRECTORY/lib




