#ifndef CONFIG_VALUES_H
#define CONFIG_VALUES_H
#include <string>
#include <memory>
namespace easydds
{
class config
{
public:
    config(const std::string & qosFileName,const std::string & defaultProfile,int domainId):
        qosFileName_(qosFileName),defaultProfile_(defaultProfile),domainId_(domainId)
    {

    }

   inline std::string qosFileName() const
    {
        return qosFileName_;
    }
  inline  std::string defaultProfile() const
    {
        return defaultProfile_;
    }
   inline int domainId() const
    {
        return domainId_;
    }


private:
    std::string qosFileName_;
    std::string defaultProfile_;
    int domainId_;


};
using configPtr=std::unique_ptr<config>;
}
#endif // CONFIG_VALUES_H
