#ifndef ENTITYCONFIG_H
#define ENTITYCONFIG_H
#include <string>
namespace easydds
{
struct DomainConfig
{
    int domain_id;// the key common to Publish/Subscribe and Request/Reply
    std::string domain_profile;//common to Publish/Subscribe and Request/Reply
    DomainConfig(int id,const std::string &dp)
        :domain_id(id),domain_profile(dp){}
};

struct DataReaderConfig
{
    std::string library;
    std::string profile;
    std::string topic;
    DataReaderConfig (const std::string&l,const std::string & p,  const std::string & t ):
    library(l),profile(p),topic(t)
    {

    }
};

struct DataWriterConfig
{
    std::string library;
    std::string profile;
    std::string topic;
    DataWriterConfig (const std::string&l,const std::string & p, const std::string & t):
    library(l),profile(p),topic(t)
    {

    }

};
}
#endif // ENTITYCONFIG_H
