#include "movements.h"
#include "validation.h"
namespace sudoku {

Movements::Movements(const Matrix &mat)
{
    for(auto i=0;i < N ;i++)
        for(auto j=0;j < N ;j++)
            mat_[i][j]=mat[i][j];


    for(auto i=0;i < N ;i++)
        for(auto j=0;j < N ;j++)
            for(auto v=1;v <= N ;v++)
            {
                auto pos=Pos(i,j);
                auto move=Move(pos,v);
                if (mat_[i][j]==0)
                {
                    mat_[i][j]=v;
                    auto valid=validation(mat_);
                    auto bValid=valid.valid();
                    if (bValid)
                        vct_.emplace_back(move);
                    mat_[i][j]=0;
                }
            }
}
VctMoves Movements::vct() const
{
    return vct_;
}

OptMoves Movements::pop_back()
{

    auto res=OptMoves();
    if (vct_.size() >0)
    {
        auto it=vct_.end();
        it--;
        res=*it;
        vct_.erase(it);
    }

    return res;
}




}
