#include "sudoku.h"
#include "movements.h"
#include "validation.h"
namespace sudoku {


//Sudoku::Sudoku()
//{
//    for(auto i=0;i < N ;i++)
//        for(auto j=0;j < N ;j++)
//            mat_[i][j]=0;

//    init();
//}

Sudoku::Sudoku(const Matrix &mat):mat_(mat)
{
moves_=std::make_unique<Movements>(mat_);
}

bool Sudoku::solve()
{
    for(;;)
    {
    auto mv=Movements(mat_);
    auto vct=mv.vct();

    for(auto &m:vct)
    {
        fill(m);
        auto valid=validation(mat_);
        if (valid.valid() )  //&& valid.complete()
        {
            sol_.push_back(m);
            if(valid.complete())
               return true;
            else
                break;
        }
    }
    }
    return false;
}

void Sudoku::fill(const Move &m)
{
    auto row=m.pos.row;
    auto col=m.pos.col;
    //mat_[row][col]=m.val;
}

void Sudoku::unfill(const Move &m)
{
    auto row=m.pos.row;
    auto col=m.pos.col;
    //mat_[row][col]=0;
}


void Sudoku::init()
{
    //mat_[0][1]=1;
}



}
