#include "listenermyothertype.h"

using namespace easydds;



MyListener_BE::MyListener_BE(const DomainContextPtr &domain_ctx, const std::string &strTopic ):
    ListenerBestEffort<MyOtherType>(domain_ctx,strTopic)
{

}

void MyListener_BE::onSlotAvailableData(const MyOtherType &sample)
{
//    std::cout << "Received "  << std::endl;
std::cout << "BestEffort "<<sample.m1() <<  " " <<sample.m3() << std::endl;
}


MyListener_SR::MyListener_SR(const DomainContextPtr &domain_ctx, const std::string &strTopic)
    : ListenerStrictReliable<MyOtherType>(domain_ctx,strTopic)
{

}

void MyListener_SR::onSlotAvailableData(const MyOtherType &sample)
{
    std::cout <<"StrictReliable "<< sample.m1() << " " <<sample.m3() << std::endl;

}
