#include <algorithm>
#include <iostream>
#include <dds/sub/ddssub.hpp>
#include <dds/core/ddscore.hpp>
// Or simply include <dds/dds.hpp>
#include "Foo.hpp"
#include "easyddssub.h"
#include <thread>
#include <signal.h>
#include <unistd.h>
bool keep_running ;
void signal_handler (int /*signum*/)
{
  keep_running = false;
}

int main(int argc, char *argv[])
{
    constexpr int TIMER_SEC=5;
    keep_running = true;

    /* Set a ctrl-c signal handler */
    if (signal (SIGINT, signal_handler) == SIG_IGN)
    {
        /* Reset to SIG_IGN (ignore) if that was the prior state */
        std::cout << "SIG_IGN" << std::endl;
        signal (SIGINT, SIG_IGN);
    }





try {

    EasyDDSSub eadds;
    for(;;)
    {
        sleep((TIMER_SEC));
        if(false==keep_running)
            break;
    }


} catch (const std::exception& ex) {
// This will catch DDS exceptions
std::cerr << "Exception in subscriber_main(): " << ex.what() << std::endl;
return -1;
}
// RTI Connext provides a finalize_participant_factory() method
// if you want to release memory used by the participant factory singleton.
// Uncomment the following line to release the singleton:
//
    std::cout << "after for" << std::endl;
 dds::domain::DomainParticipant::finalize_participant_factory();

 std::cout << "after finalize_participant_factory" << std::endl;
return 0;
}
