#ifndef LISTENERSTRICTRELIABLE_H
#define LISTENERSTRICTRELIABLE_H

#include "ProxyReader.h"
#include "profiles.h"
namespace easydds {
template <typename T> class ListenerStrictReliable :public Listener<T>
{
public:
ListenerStrictReliable(const DomainContextPtr &domain_ctx,const std::string &strTopic)
    :Listener<T>(domain_ctx,DataReaderConfig (UserQosProfilesLibrary(),StrictReliable(),strTopic))
{

}
};



template <typename T> class ListenerBestEffort :public Listener<T>
{
public:
ListenerBestEffort(const DomainContextPtr &domain_ctx,const std::string &strTopic)
    :Listener<T>(domain_ctx,DataReaderConfig (UserQosProfilesLibrary(),BestEffort(),strTopic))
{

}
};



}
#endif // LISTENERSTRICTRELIABLE_H
