#ifndef WRITERWITHPROFILE_H
#define WRITERWITHPROFILE_H
#include "writer.h"
#include "profiles.h"
namespace easydds {
template <typename T> class WriterBestEffort: public writer<T>
{
public :
    WriterBestEffort(const DomainContextPtr &domain_ctx,const std::string &strTopic):
        writer<T>(domain_ctx,DataWriterConfig (UserQosProfilesLibrary(),BestEffort(),strTopic))
    {
    }
};


template <typename T> class WriterStrictReliable: public writer<T>
{
public :
    WriterStrictReliable(const DomainContextPtr &domain_ctx,const std::string &strTopic):
        writer<T>(domain_ctx,DataWriterConfig (UserQosProfilesLibrary(),StrictReliable(),strTopic))
    {
    }
};

}
#endif // WRITERWITHPROFILE_H
